# $Revision: 1.3 $, $Date: 2003/05/28 12:59:31 $
#
# Conditional build:
# _without_tests	- do not perform "make check"
#
Summary:	Sample Rate Converter library
Summary(pl):	Biblioteka do konwersji czstotliwoci prbkowania
Name:		libsamplerate
Version:	0.0.15
Release:	1
License:	GPL
Group:		Libraries
#Source0Download:	http://www.mega-nerd.com/SRC/download.html
Source0:	http://www.mega-nerd.com/SRC/%{name}-%{version}.tar.gz
# Source0-md5:	6b15cc39d1275f1118de4d57f89544eb
URL:		http://www.mega-nerd.com/SRC/
%{!?_without_tests:BuildRequires:	fftw-devel}
BuildRequires:	libsndfile-devel >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Secret Rabbit Code (aka libsamplerate) is a Sample Rate Converter for
audio. SRC is capable of arbitrary and time varying conversions; from
downsampling by a factor of 12 to upsampling by the same factor. SRC
provides a small set of converters to allow quality to be traded off
against computation cost. The current best converter provides a
signal-to-noise ratio of 97dB with -3dB passband extending from DC to
96% of the theoretical best bandwidth for a given pair of input and
output sample rates.

%description -l pl
Biblioteka libsamplerate (zwana take Secret Rabbit Code lub Sample
Rate Converter - w skrcie SRC) suy do konwersji czstotliwoci
prbkowania dwiku. SRC moe wykonywa dowolnych konwersji - od
zmniejszania czstotliwoci do 12 razy do zwikszania o ten sam
wspczynnik. SRC udostpnia niewielki zestaw konwerterw
pozwalajcych na pogodzenie jakoci i czasu trwania konwersji.
Aktualnie najlepszy konwerter udostpnia wspczynnik sygna/szum 97dB
z rozszerzeniem zakresu pasma -3dB z DC do 96% teoretycznie
najlepszego pasma dla danej pary czstotliwoci prbkowania wejcia i
wyjcia.

%package devel
Summary:	Header file for libsamplerate library
Summary(pl):	Plik nagwkowy biblioteki libsamplerate
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Header file for libsamplerate library.

%description devel -l pl
Plik nagwkowy biblioteki libsamplerate.

%package static
Summary:	libsamplerate static library
Summary(pl):	Statyczna biblioteka libsamplerate
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
libsamplerate static library.

%description static -l pl
Statyczna biblioteka libsamplerate.

%package tools
Summary:	libsamplerate utilities
Summary(pl):	Narzdzia do libsamplerate
Group:		Applications/Sound
Requires:	%{name} = %{version}

%description tools
libsamplerate utilities - currently include one program to resample
audio files read and written using libsndfile.

%description tools -l pl
Narzdzia do libsamplerate - aktualnie zawieraj program do zmiany
czstotliwoci prbkowania plikw dwikowych czytanych i zapisywanych
przez libsndfile.

%prep
%setup -q

%build
%configure
%{__make}

%{!?_without_tests:%{__make} -C tests check}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README doc/*.{html,css,png}
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_pkgconfigdir}/*.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/sndfile-resample

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libsamplerate.spec,v $
Revision 1.3  2003/05/28 12:59:31  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:50:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/05/11 00:19:43  qboosh
- new

